libcamera::Rectangle Struct Reference

Describe a rectangle's position and dimensions. More...

## Public Member Functions

const std::string | toString () const
| Assemble and return a string describing the rectangle. More...

## Public Attributes

int | x
| The horizontal coordinate of the rectangle's top-left corner.
int | y
| The vertical coordinate of the rectangle's top-left corner.
unsigned int | width
| The distance between the left and right sides.
unsigned int | height
| The distance between the top and bottom sides.

## Detailed Description

Describe a rectangle's position and dimensions.

Rectangles are used to identify an area of an image. They are specified by the coordinates of top-left corner and their horizontal and vertical size.

The measure unit of the rectangle coordinates and size, as well as the reference point from which the Rectangle::x and Rectangle::y displacements refers to, are defined by the context were rectangle is used.

## Member Function Documentation

## toString()

const std::string libcamera::Rectangle::toString | ( |  | ) | const

Assemble and return a string describing the rectangle.

Returns
  A string describing the Rectangle

The documentation for this struct was generated from the following files:

- include/libcamera/geometry.h
- src/libcamera/geometry.cpp